#ifndef _STRING_H
#define _STRING_H

#include <bits/macros.h>
#include <stddef.h>

#ifdef __cplusplus
extern "C"
{
#endif

    void* memcpy(void*, const void*, size_t);
    void* memset(void*, int, size_t);
    void* memclr(void*, size_t);

    size_t strlen(const char*);

    deprecated("strcpy is unsafe and should not be used; use strncpy instead") char* strcpy(char*, const char*);
    char* strncpy(char*, const char*, size_t);

    char* strchr(const char*, int);

    deprecated("strcat is unsafe and should not be used; use strncat instead") char* strcat(char*, const char*);
    char* strncat(char*, const char*, size_t);

    char* strerror(int);

#ifdef __cplusplus
}
#endif

#endif