#ifndef _SYS_MMAN_H
#define _SYS_MMAN_H

#include <stddef.h>

typedef unsigned long off_t;

#define MAP_FAILED (void*)-1

#define PROT_READ_WRITE 1

#define PAGE_SIZE 4096

#ifdef __cplusplus
extern "C"
{
#endif

    void* mmap(void*, size_t, int, int, int, off_t);
    int munmap(void* addr, size_t len);

#ifdef __cplusplus
}
#endif

#endif